
/*
*
* iscsi initiator driver
*
* Author: Kalman Meth, IBM Haifa Research Laboratory <meth@il.ibm.com>
*
* Copyright (c) IBM Corporation 2001 
* Licensed Material - Program Property of IBM
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the distribution.
* 3. Neither the name of IBM Corporation nor the names of its contributors
*    may be used to endorse or promote products derived from this software
*    without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
* HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
* TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
* iscsi_core_prot.h
*
* Miscelaneous iscsi driver prototypes.
*
* %I% %W% %D% %T%
*/

#ifndef ISCSI_CORE_PROT_H
#define ISCSI_CORE_PROT_H

#include "iscsi_core_types.h"

#define RTT_THRESHOLD		4096


extern iscsiThreadEntry	cmdQHandler(void *si);
extern iscsiThreadEntry	readConnectionHandler(void *ci);
extern u32 makeTcpConnections(sessionInfo_t *si);
extern void breakTcpConnectionsAndEmptyQs(sessionInfo_t *si);
extern void initGlobalQs(void);
extern void cleanupGlobalQs(void);
extern void initSessions(void);
extern void cleanupSessions(void);
extern sessionInfo_t *getSessionStruct(u32 sessionHandle);
extern void emptySessionQs(sessionInfo_t *si);
extern void initPendingCmdTable(sessionInfo_t *si);
extern void cleanupPendingOpsTables(sessionInfo_t *si);
extern void enterCmdIntoTable(sessionInfo_t *si, pendingCmd_t *cmd);
extern pendingCmd_t *removeCmdFromTable(sessionInfo_t *si, pendingCmd_t *cmd);
extern iscsiHeader_t *getMessageHeader(void);
extern rttInfo_t *getRttStruct(void);
extern u32 setTaskId(void *cmd);
extern void *lookupTaskId(sessionInfo_t *si, u32 taskId, u32 flag);
extern pendingCmd_t *findCmdInTable(sessionInfo_t *si, SCB_t *scb);
extern void removeCmdsResetLun(sessionInfo_t *si, iscsiLUN_t lun);
extern void removeCmdsBadConnection(sessionInfo_t *si, connInfo_t *ci);
extern void removeTaskManBadConnection(sessionInfo_t *si, connInfo_t *ci);
extern void enterIntoTaskManTable(sessionInfo_t *si, taskManageInfo_t *tm);
extern void removeFromTaskManTable(sessionInfo_t *si, taskManageInfo_t *tm);
extern void finishTaskManOperation(sessionInfo_t *si, taskManageInfo_t *tm);
extern u32 GT_WITH_WRAP(u32 a, u32 b);


#endif /* ISCSI_CORE_PROT_H */
