
/*
*
* iscsi initiator driver
*
* Author: Uri Schonfeld, IBM Haifa Research Laboratory <shuri@il.ibm.com>
*
* Copyright (c) IBM Corporation 2001 
* Licensed Material - Program Property of IBM
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the distribution.
* 3. Neither the name of IBM Corporation nor the names of its contributors
*    may be used to endorse or promote products derived from this software
*    without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
* HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
* TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
* iscsi_device.c
*
* iscsi character device implementation.
*
* %I% %W% %D% %T%
*/
/*********************************************************************
 * Includes 
 *********************************************************************/

#ifndef __KERNEL__
#  define __KERNEL__
#endif
#ifndef MODULE
#  define MODULE
#endif

#define __NO_VERSION__
#include <linux/module.h>

#include "iscsi_device.h"

#include "iscsi_ioctl.h"
/*********************************************************************
 * NAME: iscsi_device_open
 *
 * PURPOSE:    
 *          
 *          
 *
 * PARAMETERS:
 *
 * RETURNS:
 *      0         - for success

 * CALLED BY: system
 *
 * NOTES:
 * 
 *********************************************************************/
int iscsi_device_open(struct inode *inode,struct file *file) {

  // printk("ISCSI  : iscsi_device_open %d\n",MINOR(inode->i_rdev));


  return 0;
}

/*********************************************************************
 * NAME: iscsi_device_close
 *
 * PURPOSE:    
 *          
 *          
 *
 * PARAMETERS:
 *
 * RETURNS:
 *      0         - for success
 *
 * CALLED BY: system
 *
 * NOTES:
 * 
 *********************************************************************/
int iscsi_device_close(struct inode *inode,struct file *file) {

  // printk("ISCSI  : iscsi_device_close %d\n",MINOR(inode->i_rdev));


  return 0;

}


/* file_operations structure
 * Defined in /usr/src/linux/include/linux/fs.h */
struct file_operations iscsi_device_fops={
  llseek:  NULL,
  read:    NULL,
  write:   NULL,
  readdir: NULL,
  poll:    NULL,
  ioctl:   iscsi_ioctl,
  mmap:    NULL,
  open:    iscsi_device_open,
  flush:   NULL,
  release: iscsi_device_close
};

