
/*
*
* iscsi initiator driver
*
* Authors:
* Kalman Meth, IBM Haifa Research Laboratory <meth@il.ibm.com>
* John Marberg, IBM Haifa Research Laboratory <marberg@il.ibm.com>
*
* Copyright (c) IBM Corporation 2001 
* Licensed Material - Program Property of IBM
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the distribution.
* 3. Neither the name of IBM Corporation nor the names of its contributors
*    may be used to endorse or promote products derived from this software
*    without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
* HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
* TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
* iscsi_local_trace.h
*
* OS-specific trace macros used in the iscsi initiator common core
*
* Tailor the macros in this file for the specific OS
* and rename the file to iscsi_local_trace.h
*
*/

#ifndef ISCSI_LOCAL_TRACE_H
#define ISCSI_LOCAL_TRACE_H

#ifdef TRACE

/*
 *  Trace is enabled. Define OS-specific trace macros.
 */


#define PRINT(num)	???
#define PRHEX(num)	???
#define PRSTR(str)	???
#define PRMSG(msg)	???
#define PRBUF(ptr, size)	???
#define PRINTL(num)	???
#define PRCHAR(char)	???

#define TRACE_ENTER	???
#define TRACE_EXIT	 ???

#define PR(prn)	???
#define PR0(format)	???
#define PR1(format, arg1)	???
#define PR2(format, arg1, arg2)	???
#define PR3(format, arg1, arg2, arg3)	???

#else /* TRACE not defined */

/* 
 *  Trace is disabled. All trace macros are undefined. 
 */

#define PRINT(num)
#define PRHEX(num)
#define PRSTR(str)
#define PRMSG(msg)
#define PRBUF(ptr, size)
#define PRINTL(num)
#define PRCHAR(char)

#define TRACE_ENTER
#define TRACE_EXIT

#define PR(prn)
#define PR0(format)
#define PR1(format, arg1)
#define PR2(format, arg1, arg2)
#define PR3(format, arg1, arg2, arg3)

#endif /* TRACE */


#endif /* ISCSI_LOCAL_TRACE_H */
