#!/bin/sh
#
# Startup script for iSCSI
#
# Copyright (c) IBM Corporation 2001 
# Licensed Material - Program Property of IBM
# All rights reserved.
#
# chkconfig: 345 60 20
# description: Enables access to disks through the iSCSI driver.
#	       
# config: /etc/iscsiclient.conf


# Source function library.
. /etc/rc.d/init.d/functions

# See how we were called.
case "$1" in
  start)
	echo 1572864 > /proc/sys/net/core/wmem_max
	echo 1572864 > /proc/sys/net/core/rmem_max
	echo 1572864 > /proc/sys/net/core/wmem_default
	echo 1572864 > /proc/sys/net/core/rmem_default
	echo -n "Starting iSCSI: "
	if uname -a | grep -iq smp
	then
	insmod -P smp iscsiclientsmp.o
	else
	insmod iscsiclient.o
	fi
	;;
  stop)
	echo -n "Shutting down iSCSI: "
	if uname -a | grep -iq smp
	then
	rmmod iscsiclientsmp
	else
	rmmod iscsiclient
	fi
	echo
	;;
  restart)
	$0 stop
	$0 start
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
esac

exit 0
